Bug 965105 - Postgresql cartridge remove failed
Postgresql cartridge remove failed
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fotios Lindiakos
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 07:53 EDT by nsun
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:06:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nsun 2013-05-20 07:53:35 EDT
Description of problem:
Posggresql cartridge remove failed
It aways failed with php app on OSE V2 environment, and appeared in denenv environment accidentally.

Puddle && Devenv version:
OpenShiftEnterprise/1.2/2013-05-17.2 && devenv_3247

How reproducible:
Frequently appeared

Step to reproduce:
1. Create an app
# rhc app create php php-5.3 -predhat
2. Embedded postgresql-8.4 to php
# rhc cartridge add postgresql-8.4 -a php -predhat
3. Remove postgresql-8.4 cartridge
# rhc cartridge remove postgresql-8.4 -a php -predhat --confirm

Actual restuls:
The  server did not respond correctly. This may be an issue with the server  configuration or with your connection to the server (such as a Web proxy  or firewall). Please verify that you can access the OpenShift server
https://broker.osetestv2.com/broker/rest/domains/sun005/applications/php/cartridges/postgresql-8.4

Expected results:
Remove successed

Additional Info:
---------------mcollective.log-----------------
...
Shell  command '/sbin/runuser -m -s /bin/sh 519a05e4ab808ac0420000d9 -c "exec  /usr/bin/runcon 'unconfined_u:system_r:openshift_t:s0:c6,c176' /bin/sh  -c  \"/var/lib/openshift/519a05e4ab808ac0420000d9/postgresql/bin/teardown\""'  returned an error. rc=1
rm: cannot remove `/var/lib/openshift/519a05e4ab808ac0420000d9/app-root/data//.psql_history*': No such file or directory
...
Comment 1 Fotios Lindiakos 2013-05-21 00:29:43 EDT
Submitted PR for this:
https://github.com/openshift/origin-server/pull/2569
Comment 2 Fotios Lindiakos 2013-05-21 00:44:00 EDT
Merging this commit now. Marking as ON_QA so it can be tested when merged.
Comment 3 openshift-github-bot 2013-05-21 03:48:16 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a539c5608f7ddb67f25b983806a9567d651aa9d2
Bug 965105: Cannot delete application

https://github.com/openshift/origin-server/commit/e84743bbb2fc2ae0b8ec1d83121a4a02a1b07d4d
Merge pull request #2569 from fotioslindiakos/Bug965105

Merged by openshift-bot
Comment 4 nsun 2013-05-21 22:32:18 EDT
Postgresql-8.4 remove successed.
Verified on devenv_3257.

Note You need to log in before you can comment on or make changes to this bug.